#
# spec file for package python3-ec2metadata
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%define upstream_name ec2metadata
Name:           python-ec2metadata
VCS: https://src.suse.de/SLFO-pool/python-ec2metadata#6c015ceea218d06454cac3636777b847ac46be9f4fe4a04c34b47ec2963acf73
Version:        5.0.0
Release:        160000.1.7
Summary:        Collect instance metadata in EC2
License:        GPL-3.0-or-later
Group:          System/Management
URL:            https://github.com/SUSE-Enceladus/ec2metadata
Source0:        %{upstream_name}-%{version}.tar.bz2
Requires:       python
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
BuildRequires:  fdupes
Obsoletes:      python3-ec2metadata <= %{version}
BuildArch:      noarch
Requires(post):   update-alternatives
Requires(postun):  update-alternatives
%python_subpackages

%description
Collect instance meta data in Amazon Compute CLoud instances

%prep
%autosetup -p1 -n %{upstream_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 man/man1/ec2metadata.1 %{buildroot}/%{_mandir}/man1
%python_clone -a %{buildroot}%{_bindir}/%{upstream_name}
%python_clone -a %{buildroot}%{_mandir}/man1/ec2metadata.1
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative ec2metadata ec2metadata.1%{?ext_man}

%postun
%python_uninstall_alternative ec2metadata

%files %{python_files}
%doc README.md
%license LICENSE
%python_alternative %{_bindir}/%{upstream_name}
%{python_sitelib}/%{upstream_name}
%{python_sitelib}/%{upstream_name}-%{version}*-info
%python_alternative %{_mandir}/man1/%{upstream_name}.1%{?ext_man}

%changelog
* Mon Jul 22 2024 rjschwei@suse.com
- Obsolete the Python 3.6 build
* Thu May 30 2024 mcepl@cepl.eu
- Replace python3-ec2metadata with universal packaging
  (https://trello.com/c/fupyiTVo/168-python3-packages-in-factory).
- Rename to python-ec2metadata.
* Wed Aug 23 2023 rjschwei@suse.com
- Update to version 5.0.0 (bsc#1214215)
  + Remove the --use-token command line option. Aws is deprecating access
    to instance metadata without authentication token. Ability to access
    metadat without token has been removed
  + Support access to the metadata server over IPv6. If the customer
    enables the IPv6 endpoint for an instance it will be preferred over the
    IPv4 endpoint
* Mon Oct 10 2022 rjschwei@suse.com
- Update to version 4.0.0 (bsc#1204066)
  + Disambiguate cli options for duplicate endpoints. This is an
    incompatible change for some API versions of IMDS. When a duplicate
    endpoint is detected the cli option for both endpoints is expanded to a
    unique name.
* Mon Aug  3 2020 rjschwei@suse.com
- Update to version 3.0.3 (bsc#1174743, bsc#1174837)
  + Prefer IMDSv2 and switch all IMDS access requests to support v2 token
    based access method.
* Wed Dec  4 2019 rjschwei@suse.com
- Update to version 3.0.2 (bsc#1157901, bsc#1157902)
  + Add man page
  + Support accessing IMDS with a token (API change) to support
    disabling unauthenticated acces of IMDS
* Wed Sep 20 2017 rjschwei@suse.com
- Update to version 2.0.0
  + Port to Python 3
* Wed Aug 17 2016 jgleissner@suse.com
- Bump to version 1.5.4 (bsc#994138 bsc#994139)
  + ec2metadata: do not use proxy
* Tue Mar 31 2015 rjschwei@suse.com
- Bump to version 1.5.3 (bnc#924626)
  + Properly write metadata to file if no query argument is provided
  + Properly generate XML for 'public-keys' query option
  + Document the 'api' option in the help message
  + Alpha sort the options displayed with the help message
* Wed Aug 13 2014 rschweikert@suse.com
- Bump to version 1.5.2
  + fix the no argument use case
* Mon Jun 23 2014 rschweikert@suse.com
- Switch the upstream URL to the forked project, origin project
  appears not to be maintained
* Fri May 30 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #315990)
* Fri May 30 2014 rschweikert@suse.com
- Initial build
